Subject: RE: [Seamoby] Deadline Approaching: WG Last Call for Paging Assessment Draft

From: [email-masked]
Date: Tue, 26 Feb 2002 18:21:24 -0600

I agree with Theo that no single draft qualifies as a base proposal on it's own. But, rewriting individual proposals and reevaluating will leave us again in the same situation as before, wasting valuable time.  Instead, we can speed up things by converging what we have and improvising on the common solution. 

I ask the WG to rethink if we actually need paging for simple-ip cases. I posed this question before, from lack of responses, I see that no one seems to have interest in it. Now, the WG should put more importance on the mobility requirement (4.8). 

With emphasis on mobility, draft-renker does not have a better solution than others. As a matter of fact (also as the  draft-renker evaluator), I can comment that it falls short of complete description of the protocol behaviour in the implicit (mipv6) mode. Therefore, the best approach would be to choose the strongest mobility based proposals and combine them into one single proposal. 

Thanks,
Srini

-----Original Message-----
From: ext Theo Pagtzis [mailto:[email-masked]]
Sent: 26 February, 2002 4:41 PM
To: Vinod Kumar Choyi
Cc: Sreemanthula Srinivas (NRC/Dallas); [email-masked]
Subject: Re: [Seamoby] Deadline Approaching: WG Last Call for Paging
Assessment Draft

Hello all,

May I suggest that I would find personally unfair to go ahead with a
selection of a single solution since _none_ was satisfying in absolute
terms specific marks required for a weighted consideration as an WG
item. I personally stated the following in the evaluation team which I
would just reiterate: at this stage no protocol must be selected amongst
all. Having read all drafts I feel that none is fittest than another. I
am also talking as an evaluator that has no interest in any of them in
terms of selection. Right now the authors of the drafts needed to go
back on their drawing board and consider the comments that the
evaluation team gave (hence the output draft). The authors must rework
their solutions in the light of these comments.

A last round of evaluation must then be carried out by the same team
since it already has the initial view of the problem. A final decision
must be taken past the last changes and amendments of the DHMA protocol
solutions, which must not be disputed by anybody under objective
criteria and no arguments against the evaluators that they missed this
or did not see that. 

The results from the review would then come up as a revised draft and in
public scrutiny to the interested individuals that must be considered
objectively (no company hats) if we ever want to see something moving
forward. If the results from the criteria pass a last call from the
community then the chair will announce the protocol that dominates
overall in marks. Then we proceed and take it further.

Alternatively the authors of the draft get together and they build a
single protocol by unifying the concepts that the evaluation team found
to stand out from each proposal. The authors converge and bring their
elements together in a single solution that is decided if to be
independent of any mobility protocol or not.

The chair declares a concensus on the matter, a single protocol is
defined and considered an WG item. 

We can then proceed in peace and evolution of the DHMA solution.

Please consider..

regards

Theo
UCL/Mobile Systems

Vinod Kumar Choyi wrote:
> 
> Srinivas,
> 
> Mobile devices  (that do not have any home or do not use MIP)could
> also use just Simple IP, but I agree with you that the emphasis should
> be more on mobility.
> 
> regards
> vinod
> 
> [email-masked] wrote:
> 
> > Bechet,
> > You are stretching your interpretation of my mail and presenting as
> > my views.
> > 1. There may be a solution that fits all. I am not against it. But
> > who wants to use simple-ip? "Independence to mobility protocol" was
> > a key point in decision making, as indicated in the
> > paging-assessment draft.  Paging protocol is most likely will always
> > be used with mobile devices, hence the successful and wide
> > acceptance of paging protocol depends on a solution that takes more
> > of mobility into consideration. Sacrificing this point may well make
> > the final paging protocol not so useful, at best.
> > 2. I am not particularly inclined for HA based solutions. My point
> > is, while defining a mobility based paging protocol we should not
> > take a particular LMM method (for e.g. HMIPv6) as  solution, like
> > draft-sarikaya. But instead a generalised LMM approach. HA based
> > solution will also be needed for non-LMM cases.
> > Srini
> > -----Original Message-----
> > From: e
> > xt Behcet Sarikaya [mailto:[email-masked]]
> > Sent: 25 February, 2002 9:32 AM
> > To: [email-masked]
> > Subject: Re: [Seamoby] Deadline Approaching: WG Last Call for Paging
> > Assessment Draft
> > Dear all,
> >   Several mails have been sent over the weekend I'll try to give my
> > views in one mail.
> > Regarding Srinivas' email, my understanding is that he is against
> > Alternative 1 (one size fits all solution) and he is for the
> > Alternative
> > 2. In that he is suggesting that we concentrate on Requirement 4.8
> > rather than 4.7. As for the drafts, he seems to be inclined to home
> > agent based architectures which is demonstrated in draft-renker.
> > This is
> > an architectural choice, I think that his choice of alternatives is
> > clear.
> >   Besides, I think that the chairs would like to choose draft/drafts
> > a
> > s
> > soon as possible and ask people to submit their 01 drafts by March
> > 1st
> > and move on. We do not have a lot of time for doing this.
> > Regarding Yoshi's email, I am quoting the abstract of RFC 3103:
> >
> >> This document presents a protocol with which to implement Realm
> >>    Specific IP (RSIP).  The protocol defined herein allows
> >> negotiation
> >>    of resources between an RSIP host and gateway, so that the host
> >> can
> >>    lease some of the gateway's addressing parameters in order to
> >>    establish a global network presence.  This protocol is designed
> >> to
> >>    operate on the application layer and to use its own TCP or UDP
> >> port.
> >>    In particular, the protocol allows a gateway to allocate
> >> addressing
> >>    and control parameters to a host such that a flow policy can be
> >>    enforced at the gateway.
> >>
> > Yoshi, I think that the functionalities summarized above of RSIP
> > have
> > nothing to do with IP Paging. Can we define a port specific to  IP
> > Paging , if yes then how does IP Paging capture all packets to the
> > dormant hosts?
> > Added to this, please see Pars' email,
> >
> >> This is serious, because "paging" which is intended for
> >> optimizing bandwidth use, may become a bandwidth threat.
> >> IP layer solutions may be necessary. This is, perhaps, one more
> >> motivation for IP paging.
> >>
> > Let us get motivated for IP Paging.
> > Regards,
> > [email-masked] wrote:
> >

_______________________________________________
Seamoby mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/seamoby

---

From: Theo Pagtzis <[email-masked]>
Date: Wed, 27 Feb 2002 01:36:22 +0000

Hi Srinivas,

  With all due respect I do not believe that any time is lost..even if
we asked _now_ the authors to go back and come in 4 weeks with a revised
design. In fact the authors would literally have known better and
compete in fair grounds in giving their best effort for a better
candidate..nobody can say then that they did not understand what was
meant by requirement X.Y.

Still the unified solution finds me in agreement since the fundamental
point is to get a robust design. Involvement of the individual authors
would be acknowledged and the contribution would be explicit.

The important point is to learn from the review and not repeat the same
mistakes in the next steps of the DHMA proto evolution. I am personal in
favour of a revisit in the designs by their creators since this in any
case will put solutions into perspective even for a unified one..

Regs. 

Theo
UCL/Mobile Systems

---

From: "James Kempf" <[email-masked]>
Date: Wed, 27 Feb 2002 08:43:52 -0800

We are not debating the process. We did a concensus call on what the WG
wanted in early Feb. and the result was that concensus is for starting
with a base draft. The question now is whether there are any comments on
the assessment draft
before we send it to IESG and last call on that ended Monday. Pat and I
will be sending out an email
shortly about the results.

            jak

----- Original Message -----
From: "Theo Pagtzis" <[email-masked]>
To: <[email-masked]>
Cc: "vinod.choyi" <[email-masked]>; "seamoby"
<[email-masked]>
Sent: Tuesday, February 26, 2002 5:36 PM
Subject: Re: [Seamoby] Deadline Approaching: WG Last Call for Paging
Assessment Draft

> > I agree with Theo that no single draft qualifies as a base proposal
on it's own. But, rewriting individual proposals and reevaluating will
leave us again in the same situation as before, wasting valuable time.
Instead, we can speed up things by converging what we have and
improvising on the common solution.
> >
> > I ask the WG to rethink if we actually need paging for simple-ip
cases. I posed this question before, from lack of responses, I see that
no one seems to have interest in it. Now, the WG should put more
importance on the mobility requirement (4.8).
> >
> > With emphasis on mobility, draft-renker does not have a better
solution than others. As a matter of fact (also as the  draft-renker
evaluator), I can comment that it falls short of complete description of
the protocol behaviour in the implicit (mipv6) mode. Therefore, the best
approach would be to choose the strongest mobility based proposals and
combine them into one single proposal.

---

From: Theo Pagtzis <[email-masked]>
Date: Wed, 27 Feb 2002 17:29:11 +0000

Fair enough..and what would the base draft comprize of?

Theo
UCL/MobiSys Group

---

From: "James Kempf" <[email-masked]>
Date: Wed, 27 Feb 2002 10:03:59 -0800

The proposal in the assessment draft is for Marco, as the WG draft
editor, to take draft-renker and work through it to revise parts that
were found lacking in the assessment, adding solutions after WG
concensus has been established on
them. In addition, a suggestion was made to have the document discuss
the network (not functional) architecture in more detail. We are
currently working  through some architectural questions on where to put
the TA and DMA, and what the relationship with the mobility protocol
should be, in a separate thread on this list.

            jak

----- Original Message -----
From: "Theo Pagtzis" <[email-masked]>
To: "James Kempf" <[email-masked]>
Cc: "Srinivas.Sreemanthula" <[email-masked]>;
"vinod.choyi" <[email-masked]>; "seamoby" <[email-masked]>
Sent: Wednesday, February 27, 2002 9:29 AM
Subject: Re: [Seamoby] Deadline Approaching: WG Last Call for Paging
Assessment Draft

> > > mistakes in the next steps of the DHMA proto evolution. I am
personal
> > in
> > > > item. I personally stated the following in the evaluation team
which
> > I
> > > > am also talking as an evaluator that has no interest in any of
them
> > in
> > > > criteria and no arguments against the evaluators that they
missed
> > this
> > > > or did not see that.
> > > >
> > > > The results from the review would then come up as a revised
draft
> > and in
> > > > single protocol by unifying the concepts that the evaluation
team
> > found
> > > > > also use just Simple IP, but I agree with you that the
emphasis
> > should
> > > > > > You are stretching your interpretation of my mail and
presenting
> > as
> > > > > > my views.
> > > > > > 1. There may be a solution that fits all. I am not against
it.
> > But
> > > > > > who wants to use simple-ip? "Independence to mobility
protocol"
> > was
> > > > > > paging-assessment draft.  Paging protocol is most likely
will
> > always
> > > > > > acceptance of paging protocol depends on a solution that
takes
> > more
> > > > > > of mobility into consideration. Sacrificing this point may
well
> > make
> > > > > > is, while defining a mobility based paging protocol we
should
> > not
> > > > > > Subject: Re: [Seamoby] Deadline Approaching: WG Last Call
for
> > Paging
> > > > > > Assessment Draft
> > > > > > Dear all,
> > > > > >   Several mails have been sent over the weekend I'll try to
give
> > my
> > > > > > 2. In that he is suggesting that we concentrate on
Requirement
> > 4.8
> > > > > > rather than 4.7. As for the drafts, he seems to be inclined
to
> > home
> > > > > > an architectural choice, I think that his choice of
alternatives
> > is
> > > > > >>    of resources between an RSIP host and gateway, so that
the
> > host
> > > > > >> can
> > > > > >>    lease some of the gateway's addressing parameters in
order
> > > > > >>    operate on the application layer and to use its own TCP
or
> > UDP
> > > > > >>    and control parameters to a host such that a flow policy
can
> > be
> > > > > > nothing to do with IP Paging. Can we define a port specific
to
> > IP
> > > > > > Paging , if yes then how does IP Paging capture all packets
to
> > the

---

From: Theo Pagtzis <[email-masked]>
Date: Wed, 27 Feb 2002 19:35:15 +0000

ok.. sounds good to me then..have the other authors raised any points
that should be considered more closely beyond the TA/DMA or is that the
only thing that needs looking at..?

Theo
UCL/MobiSys Group

thanks Jak

---

From: "James Kempf" <[email-masked]>
Date: Wed, 27 Feb 2002 12:02:23 -0800

Theo,

There are a variety of issues, we will be discussing them at the
meeting, but if you want to start a thread
on some of the others, please feel free.

            jak

----- Original Message -----
From: "Theo Pagtzis" <[email-masked]>
To: "James Kempf" <[email-masked]>
Cc: "Srinivas.Sreemanthula" <[email-masked]>;
"vinod.choyi" <[email-masked]>; "seamoby" <[email-masked]>
Sent: Wednesday, February 27, 2002 11:35 AM
Subject: Re: [Seamoby] Deadline Approaching: WG Last Call for Paging
Assessment Draft

> > > > We are not debating the process. We did a concensus call on what
the
> > WG
> > > > before we send it to IESG and last call on that ended Monday.
Pat
> > and I
> > > > > we asked _now_ the authors to go back and come in 4 weeks with
a
> > > > revised
> > > > > candidate..nobody can say then that they did not understand
what
> > > > > The important point is to learn from the review and not repeat
the
> > > > same
> > > > > favour of a revisit in the designs by their creators since
this in
> > any
> > > > on it's own. But, rewriting individual proposals and
reevaluating
> > > > cases. I posed this question before, from lack of responses, I
see
> > that
> > > > the protocol behaviour in the implicit (mipv6) mode. Therefore,
the
> > best
> > > > approach would be to choose the strongest mobility based
proposals
> > and
for
> > Paging
> > > > > > Assessment Draft
> > > > > >
> > > > > > Hello all,
> > > > > >
> > > > > > May I suggest that I would find personally unfair to go
ahead
> > with a
> > > > > > selection of a single solution since _none_ was satisfying
in
> > > > absolute
> > > > > > terms specific marks required for a weighted consideration
as an
> > WG
> > > > > > would just reiterate: at this stage no protocol must be
selected
> > > > amongst
> > > > > > terms of selection. Right now the authors of the drafts
needed
> > to go
> > > > > > evaluation team gave (hence the output draft). The authors
must
> > > > rework
> > > > > > A last round of evaluation must then be carried out by the
same
> > team
> > > > > > since it already has the initial view of the problem. A
final
> > > > decision
> > > > > > must be taken past the last changes and amendments of the
DHMA
> > > > protocol
> > > > > > objectively (no company hats) if we ever want to see
something
> > > > moving
> > > > > > forward. If the results from the criteria pass a last call
from
> > > > > > to stand out from each proposal. The authors converge and
bring
> > > > their
> > > > > > The chair declares a concensus on the matter, a single
protocol
> > > > > > > > 2. I am not particularly inclined for HA based
solutions. My
> > > > point
> > > > > > > > take a particular LMM method (for e.g. HMIPv6) as
solution,
> > > > like
> > > > > > > > draft-sarikaya. But instead a generalised LMM approach.
HA
> > based
> > > > > > > > Regarding Srinivas' email, my understanding is that he
is
> > > > against
> > > > > > > > soon as possible and ask people to submit their 01
drafts by
> > > > March
> > > > > > > > Regarding Yoshi's email, I am quoting the abstract of
RFC
> > 3103:
> > > > > > > >
> > > > > > > >> This document presents a protocol with which to
implement
> > Realm
> > > > > > > >>    establish a global network presence.  This protocol
is
> > > > designed
> > > > > > > > Yoshi, I think that the functionalities summarized above
of
> > RSIP
> > > > > > > >> IP layer solutions may be necessary. This is, perhaps,
one

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 27 Feb 2002 14:14:39 -0600

Dear all,
  It seems to me that there has been persistent discussions on the 
architecture and this points to the fact that we skipped one important 
step a little too quickly for IP Paging (it may be not too late for CAR 
Discovery and CT), that is when a new protocol is to be defined a 
framework/architecture document should be developed.
  RFC 3154 tries to do this together with the requirements. However what 
RFC 3154 does is to come up with the functional entities. Can we take it 
as a framework or architecture document? Certainly no. Even James, the 
editor of RFC 3154 is asking where to put TA?
  If Seamoby developed a detailed architecture document including a 
discussion of Mobile IP architectures, the players would not have come 
up with so much differing drafts.
  Regards,

>should be, in a separate thread on this list.
--behcet

---

From: Vinod Kumar Choyi <[email-masked]>
Date: Wed, 27 Feb 2002 16:25:55 -0600

James,

But shouldn't the first step be, to assess the assessment draft itself, 
which is why we had discussions (based on the assessment). Once a 
consensus has been reached on the draft and its outcome, we move to the 
next step. Isn't that the procedure, is it not the logical one ?

regards
vinod

James Kempf wrote:

>>>We are not debating the process. We did a concensus call on what the
>>>
>WG
>
>>>wanted in early Feb. and the result was that concensus is for
>>>
>starting
>
>>>with a base draft. The question now is whether there are any
>>>
>comments on
>
>>>the assessment draft
>>>before we send it to IESG and last call on that ended Monday. Pat
>>>
>and I
>
>>>>  With all due respect I do not believe that any time is
>>>>
>lost..even if
>
>>>>we asked _now_ the authors to go back and come in 4 weeks with a
>>>>
>>>revised
>>>
>>>>candidate..nobody can say then that they did not understand what
>>>>
>was
>
>>>>Still the unified solution finds me in agreement since the
>>>>
>fundamental
>
>>>>point is to get a robust design. Involvement of the individual
>>>>
>authors
>
>>>>The important point is to learn from the review and not repeat the
>>>>
>>>same
>>>
>>>>favour of a revisit in the designs by their creators since this in
>>>>
>any
>
>>>>>I agree with Theo that no single draft qualifies as a base
>>>>>
>proposal
>
>>>on it's own. But, rewriting individual proposals and reevaluating
>>>
>will
>
>>>leave us again in the same situation as before, wasting valuable
>>>
>time.
>
>>>cases. I posed this question before, from lack of responses, I see
>>>
>that
>
>>>evaluator), I can comment that it falls short of complete
>>>
>description of
>
>>>the protocol behaviour in the implicit (mipv6) mode. Therefore, the
>>>
>best
>
>>>approach would be to choose the strongest mobility based proposals
>>>
>and
>
>>>>>Subject: Re: [Seamoby] Deadline Approaching: WG Last Call for
>>>>>
>Paging
>
>>>>>Assessment Draft
>>>>>
>>>>>Hello all,
>>>>>
>>>>>May I suggest that I would find personally unfair to go ahead
>>>>>
>with a
>
>>>>>selection of a single solution since _none_ was satisfying in
>>>>>
>>>absolute
>>>
>>>>>terms specific marks required for a weighted consideration as an
>>>>>
>WG
>
>>>>>would just reiterate: at this stage no protocol must be selected
>>>>>
>>>amongst
>>>
>>>>>all. Having read all drafts I feel that none is fittest than
>>>>>
>>>another. I
>>>
>>>>>terms of selection. Right now the authors of the drafts needed
>>>>>
>to go
>
>>>>>evaluation team gave (hence the output draft). The authors must
>>>>>
>>>rework
>>>
>>>>>A last round of evaluation must then be carried out by the same
>>>>>
>team
>
>>>>>since it already has the initial view of the problem. A final
>>>>>
>>>decision
>>>
>>>>>must be taken past the last changes and amendments of the DHMA
>>>>>
>>>protocol
>>>
>>>>>public scrutiny to the interested individuals that must be
>>>>>
>>>considered
>>>
>>>>>objectively (no company hats) if we ever want to see something
>>>>>
>>>moving
>>>
>>>>>forward. If the results from the criteria pass a last call from
>>>>>
>the
>
>>>>>community then the chair will announce the protocol that
>>>>>
>dominates
>
>>>>>Alternatively the authors of the draft get together and they
>>>>>
>build a
>
>>>>>to stand out from each proposal. The authors converge and bring
>>>>>
>>>their
>>>
>>>>>The chair declares a concensus on the matter, a single protocol
>>>>>
>is
>
>>>>>>Mobile devices  (that do not have any home or do not use
>>>>>>
>MIP)could
>
>>>>>>>2. I am not particularly inclined for HA based solutions. My
>>>>>>>
>>>point
>>>
>>>>>>>take a particular LMM method (for e.g. HMIPv6) as  solution,
>>>>>>>
>>>like
>>>
>>>>>>>draft-sarikaya. But instead a generalised LMM approach. HA
>>>>>>>
>based
>
>>>>>>>Regarding Srinivas' email, my understanding is that he is
>>>>>>>
>>>against
>>>
>>>>>>>agent based architectures which is demonstrated in
>>>>>>>
>draft-renker.
>
>>>>>>>This is
>>>>>>>  Besides, I think that the chairs would like to choose
>>>>>>>
>>>draft/drafts
>>>
>>>>>>>a
>>>>>>>s
>>>>>>>soon as possible and ask people to submit their 01 drafts by
>>>>>>>
>>>March
>>>
>>>>>>>1st
>>>>>>>Regarding Yoshi's email, I am quoting the abstract of RFC
>>>>>>>
>3103:
>
>>>>>>>>This document presents a protocol with which to implement
>>>>>>>>
>Realm
>
>>>>>>>>   establish a global network presence.  This protocol is
>>>>>>>>
>>>designed
>>>
>>>>>>>>to
>>>>>>>Yoshi, I think that the functionalities summarized above of
>>>>>>>
>RSIP
>
>>>>>>>have
>>>>>>>>IP layer solutions may be necessary. This is, perhaps, one
>>>>>>>>
>more
>

---

From: "James Kempf" <[email-masked]>
Date: Wed, 27 Feb 2002 14:06:26 -0800

The last call was on the assessment draft. The assessment draft contains
a recommendation about how to get started on the design of the paging
protocol which we will send to IESG. The intent is to achieve closure,
so that we can finally start recording WG decisions on the protocol in a
WG draft describing the paging protocol.

            jak

----- Original Message -----
From: "Vinod Kumar Choyi" <[email-masked]>
To: "James Kempf" <[email-masked]>
Cc: <[email-masked]>; "Srinivas.Sreemanthula"
<[email-masked]>; "seamoby" <[email-masked]>
Sent: Wednesday, February 27, 2002 2:25 PM
Subject: Re: [Seamoby] Deadline Approaching: WG Last Call for Paging
Assessment Draft

the
Paging

---

From: "James Kempf" <[email-masked]>
Date: Wed, 27 Feb 2002 14:41:23 -0800

Sorry, what I meant to say was that the recommendation about how to get
started on the base draft will be sent to IESG, not the base draft
itself.

            jak

----- Original Message -----
From: "James Kempf" <[email-masked]>
To: "Vinod Kumar Choyi" <[email-masked]>
Cc: <[email-masked]>; "Srinivas.Sreemanthula"
<[email-masked]>; "seamoby" <[email-masked]>
Sent: Wednesday, February 27, 2002 2:06 PM
Subject: Re: [Seamoby] Deadline Approaching: WG Last Call for Paging
Assessment Draft

Paging
the
see
the
proposals
selected